GET api/lockapi/locksbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "9d00e115-7b8f-4e07-b9af-e8ec0e3abb8e",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "b48df861-a2d7-4161-ae2d-b49c9f5663e9",
"guard_id": "75e25fc3-f888-4e9f-bd7c-9d7bc8d6ee70",
"active": true
},
{
"id": "9d00e115-7b8f-4e07-b9af-e8ec0e3abb8e",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "b48df861-a2d7-4161-ae2d-b49c9f5663e9",
"guard_id": "75e25fc3-f888-4e9f-bd7c-9d7bc8d6ee70",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>b48df861-a2d7-4161-ae2d-b49c9f5663e9</distribution_id>
<guard_id>75e25fc3-f888-4e9f-bd7c-9d7bc8d6ee70</guard_id>
<id>9d00e115-7b8f-4e07-b9af-e8ec0e3abb8e</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>b48df861-a2d7-4161-ae2d-b49c9f5663e9</distribution_id>
<guard_id>75e25fc3-f888-4e9f-bd7c-9d7bc8d6ee70</guard_id>
<id>9d00e115-7b8f-4e07-b9af-e8ec0e3abb8e</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>